com.hazelcast.util.executor

## Class CachedExecutorServiceDelegate

- java.lang.Object
- - com.hazelcast.util.executor.CachedExecutorServiceDelegate

- All Implemented Interfaces:
    ManagedExecutorService, Executor, ExecutorService

      public final class CachedExecutorServiceDelegate
      extends Object
      implements ExecutorService, ManagedExecutorService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `TIME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedExecutorServiceDelegate(NodeEngine nodeEngine, String name, ExecutorService cachedExecutor, int maxPoolSize, int queueCapacity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `awaitTermination(long timeout, TimeUnit unit)`
    `void` | `execute(Runnable command)`
    `long` | `getCompletedTaskCount()`
    `int` | `getMaximumPoolSize()`
    `String` | `getName()`
    `int` | `getPoolSize()`
    `int` | `getQueueSize()`
    `int` | `getRemainingQueueCapacity()`
    `<T> List<Future<T>>` | `invokeAll(Collection<? extends Callable<T>> tasks)`
    `<T> List<Future<T>>` | `invokeAll(Collection<? extends Callable<T>> tasks, long timeout, TimeUnit unit)`
    `<T> T` | `invokeAny(Collection<? extends Callable<T>> tasks)`
    `<T> T` | `invokeAny(Collection<? extends Callable<T>> tasks, long timeout, TimeUnit unit)`
    `boolean` | `isShutdown()`
    `boolean` | `isTerminated()`
    `void` | `shutdown()`
    `List<Runnable>` | `shutdownNow()`
    `<T> Future<T>` | `submit(Callable<T> task)`
    `Future<?>` | `submit(Runnable task)`
    `<T> Future<T>` | `submit(Runnable task, T result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIME

          public static final long TIME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CachedExecutorServiceDelegate

          public CachedExecutorServiceDelegate(NodeEngine nodeEngine,
                                               String name,
                                               ExecutorService cachedExecutor,
                                               int maxPoolSize,
                                               int queueCapacity)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ManagedExecutorService`

    - #### getCompletedTaskCount

          public long getCompletedTaskCount()

      Specified by:
        `getCompletedTaskCount` in interface `ManagedExecutorService`

    - #### getMaximumPoolSize

          public int getMaximumPoolSize()

      Specified by:
        `getMaximumPoolSize` in interface `ManagedExecutorService`

    - #### getPoolSize

          public int getPoolSize()

      Specified by:
        `getPoolSize` in interface `ManagedExecutorService`

    - #### getQueueSize

          public int getQueueSize()

      Specified by:
        `getQueueSize` in interface `ManagedExecutorService`

    - #### getRemainingQueueCapacity

          public int getRemainingQueueCapacity()

      Specified by:
        `getRemainingQueueCapacity` in interface `ManagedExecutorService`

    - #### execute

          public void execute(Runnable command)

      Specified by:
        `execute` in interface `Executor`

    - #### submit

          public <T> Future<T> submit(Callable<T> task)

      Specified by:
        `submit` in interface `ExecutorService`

    - #### submit

          public <T> Future<T> submit(Runnable task,
                                      T result)

      Specified by:
        `submit` in interface `ExecutorService`

    - #### submit

          public Future<?> submit(Runnable task)

      Specified by:
        `submit` in interface `ExecutorService`

    - #### shutdown

          public void shutdown()

      Specified by:
        `shutdown` in interface `ExecutorService`

    - #### shutdownNow

          public List<Runnable> shutdownNow()

      Specified by:
        `shutdownNow` in interface `ExecutorService`

    - #### isShutdown

          public boolean isShutdown()

      Specified by:
        `isShutdown` in interface `ExecutorService`

    - #### isTerminated

          public boolean isTerminated()

      Specified by:
        `isTerminated` in interface `ExecutorService`

    - #### awaitTermination

          public boolean awaitTermination(long timeout,
                                          TimeUnit unit)
                                   throws InterruptedException

      Specified by:
        `awaitTermination` in interface `ExecutorService`
      Throws:
        `InterruptedException`

    - #### invokeAll

          public <T> List<Future<T>> invokeAll(Collection<? extends Callable<T>> tasks)
                                        throws InterruptedException

      Specified by:
        `invokeAll` in interface `ExecutorService`
      Throws:
        `InterruptedException`

    - #### invokeAll

          public <T> List<Future<T>> invokeAll(Collection<? extends Callable<T>> tasks,
                                               long timeout,
                                               TimeUnit unit)
                                        throws InterruptedException

      Specified by:
        `invokeAll` in interface `ExecutorService`
      Throws:
        `InterruptedException`

    - #### invokeAny

          public <T> T invokeAny(Collection<? extends Callable<T>> tasks)
                          throws InterruptedException,
                                 ExecutionException

      Specified by:
        `invokeAny` in interface `ExecutorService`
      Throws:
        `InterruptedException`
        `ExecutionException`

    - #### invokeAny

          public <T> T invokeAny(Collection<? extends Callable<T>> tasks,
                                 long timeout,
                                 TimeUnit unit)
                          throws InterruptedException,
                                 ExecutionException,
                                 TimeoutException

      Specified by:
        `invokeAny` in interface `ExecutorService`
      Throws:
        `InterruptedException`
        `ExecutionException`
        `TimeoutException`

Copyright © 2020. All rights reserved.